## kiconthemes 5.50.0

=== debian/changelog ===
kiconthemes (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:13:27 +0100

kiconthemes (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * Update symbols from build logs
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:30:13 +0100

kiconthemes (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:49:11 +0100

kiconthemes (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:15:03 +0200

kiconthemes (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:56:22 +0100

kiconthemes (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:10:30 +0200

kiconthemes (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:40:51 +0100

kiconthemes (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.43)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:43:39 +0100

kiconthemes (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:28:53 +0100

kiconthemes (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:05:17 +0100

kiconthemes (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Update symbols files
  * Bump group breaks (5.41)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:42:40 -0300

kiconthemes (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:46:29 +0000

kiconthemes (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 12:57:55 +0000

kiconthemes (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:42:07 +0000

kiconthemes (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:24:56 +0000

kiconthemes (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:58:14 +0200

kiconthemes (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.37)
  * Add a libkf5iconthemes-doc package for the qch files
  * Bump Standards-Version to 4.0.1.
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:43:15 +0200

kiconthemes (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 15:13:32 +0000

kiconthemes (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.35)
  * Drop upstream patches
  * Let autopkgtest take care of the build required for the test
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Bump group breaks (5.36)
  * Update build-deps and deps with the info from cmake

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

  [ Harald Sitter ]
  * acc c++11. now used more liberally

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:42:10 +0200

kiconthemes (5.36.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2017 17:11:33 +0000

kiconthemes (5.35.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2017 20:36:50 +0000

kiconthemes (5.34.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 May 2017 17:37:46 +0000

kiconthemes (5.33.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Apr 2017 16:23:05 +0000

kiconthemes (5.32.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Mar 2017 13:22:05 +0000

kiconthemes (5.31.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Feb 2017 14:36:14 +0000

kiconthemes (5.30.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2017 13:40:29 +0000



=== debian/control ===
Source: kiconthemes
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.50.0~),
               graphviz,
               libkf5archive-dev (>= 5.50.0~),
               libkf5configwidgets-dev (>= 5.50.0~),
               libkf5coreaddons-dev (>= 5.50.0~),
               libkf5i18n-dev (>= 5.50.0~),
               libkf5itemviews-dev (>= 5.50.0~),
               libkf5widgetsaddons-dev (>= 5.50.0~),
               libqt5sql5-sqlite,
               libqt5svg5-dev (>= 5.8.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kiconthemes
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kiconthemes
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kiconthemes

Package: libkf5iconthemes-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for icon themes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains runtime binaries.

Package: libkf5iconthemes-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for icon themes.
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the data files.

Package: libkf5iconthemes-dev
Architecture: any
Section: libdevel
Depends: libkf5configwidgets-dev (>= 5.50.0~),
         libkf5i18n-dev (>= 5.50.0~),
         libkf5iconthemes5 (= ${binary:Version}),
         libkf5itemviews-dev (>= 5.50.0~),
         libkf5widgetsaddons-dev (>= 5.50.0~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
Recommends: libkf5iconthemes-doc (= ${source:Version})
Description: development files for kiconthemes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 Contains development files for kiconthemes.

Package: libkf5iconthemes-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Support for icon themes (documentation)
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the qch documentation files.

Package: libkf5iconthemes5
Architecture: any
Multi-Arch: same
Depends: libkf5iconthemes-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5iconthemes-bin (= ${binary:Version})
Breaks: frameworkintegration (<< 5.28),
        kio (<< 5.42),
        libkf5kdelibs4support5-bin (<< 5.42),
Description: Support for icon themes.
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.

## kiconthemes 5.54.0

=== src/CMakeLists.txt ===
add_subdirectory(tools/kiconfinder)
if (APPLE)
    add_subdirectory(tools/ksvg2icns)
endif()

set(kiconthemes_SRCS
  kiconbutton.cpp
  kicondialog.cpp
  kiconeffect.cpp
  kiconengine.cpp
  kiconloader.cpp
  kicontheme.cpp
)
qt5_add_resources(kiconthemes_SRCS
  hicolor.qrc
)
ecm_qt_declare_logging_category(kiconthemes_SRCS HEADER debug.h IDENTIFIER  KICONTHEMES CATEGORY_NAME kf5.kiconthemes)

add_library(KF5IconThemes ${kiconthemes_SRCS})
generate_export_header(KF5IconThemes BASE_NAME KIconThemes)
add_library(KF5::IconThemes ALIAS KF5IconThemes)

target_include_directories(KF5IconThemes INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KIconThemes>")

target_link_libraries(KF5IconThemes
  PUBLIC
    Qt5::Widgets
  PRIVATE
    Qt5::DBus
    Qt5::Svg
    KF5::Archive       # for KCompressionDevice
    KF5::I18n          # for i18n in KIconDialog
    KF5::WidgetsAddons # for KPixmapSequence family
    KF5::ItemViews      # for KListWidgetSearchLine
    KF5::ConfigWidgets # for KColorScheme
    KF5::CoreAddons    # for kshareddatacache.h
)

set_target_properties(KF5IconThemes PROPERTIES VERSION   ${KICONTHEMES_VERSION_STRING}
                                               SOVERSION ${KICONTHEMES_SOVERSION}
                                               EXPORT_NAME IconThemes
)

ecm_generate_headers(KIconThemes_HEADERS
  HEADER_NAMES
  KIconButton
  KIconDialog
  KIconEffect
  KIconLoader
  KIconTheme
  KIconEngine

  REQUIRED_HEADERS KIconThemes_HEADERS
)

install(TARGETS KF5IconThemes EXPORT KF5IconThemesTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kiconthemes_export.h
  ${KIconThemes_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KIconThemes COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5IconThemes_QCH
        NAME KIconThemes
        BASE_NAME KF5IconThemes
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KIconThemes_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt5Widgets_QCH
        BLANK_MACROS
            KICONTHEMES_EXPORT
            KICONTHEMES_DEPRECATED
            KICONTHEMES_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KIconThemes LIB_NAME KF5IconThemes DEPS "widgets" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KIconThemes)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

add_library(KIconEnginePlugin MODULE kiconengineplugin.cpp)

target_link_libraries(KIconEnginePlugin
    PRIVATE
        Qt5::Gui
        KF5::IconThemes
)

install(TARGETS KIconEnginePlugin DESTINATION ${KDE_INSTALL_QTPLUGINDIR}/iconengines)

=== debian/changelog ===
kiconthemes (5.54.0-1+rb1) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 19 Jan 2021 14:18:34 +0800

kiconthemes (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * Update install files
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:54 -0300

kiconthemes (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:55 +0100

kiconthemes (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:18:35 +0200

kiconthemes (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:09:24 +0200

=== debian/control ===
Source: kiconthemes
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.54.0~),
               graphviz,
               libkf5archive-dev (>= 5.54.0~),
               libkf5configwidgets-dev (>= 5.54.0~),
               libkf5coreaddons-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5itemviews-dev (>= 5.54.0~),
               libkf5widgetsaddons-dev (>= 5.54.0~),
               libqt5sql5-sqlite,
               libqt5svg5-dev (>= 5.9.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.9.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kiconthemes
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kiconthemes
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kiconthemes.git

Package: libkf5iconthemes-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for icon themes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains runtime binaries.

Package: libkf5iconthemes-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for icon themes.
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the data files.

Package: libkf5iconthemes-dev
Section: libdevel
Architecture: any
Depends: libkf5configwidgets-dev (>= 5.54.0~),
         libkf5i18n-dev (>= 5.54.0~),
         libkf5iconthemes5 (= ${binary:Version}),
         libkf5itemviews-dev (>= 5.54.0~),
         libkf5widgetsaddons-dev (>= 5.54.0~),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
Breaks: kross-dev (<< 5.54),
        libkf5bookmarks-dev (<< 5.54),
        libkf5kcmutils-dev (<< 5.54),
        libkf5kdelibs4support-dev (<< 5.54),
        libkf5khtml-dev (<< 5.54),
        libkf5style-dev (<< 5.54),
        libkf5textwidgets-dev (<< 5.54),
        libkf5xmlgui-dev (<< 5.54),
Recommends: libkf5iconthemes-doc (= ${source:Version})
Description: development files for kiconthemes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 Contains development files for kiconthemes.

Package: libkf5iconthemes-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Support for icon themes (documentation)
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5iconthemes5
Architecture: any
Multi-Arch: same
Depends: libkf5iconthemes-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: frameworkintegration (<< 5.28),
        kdesignerplugin (<< 5.54),
        kio (<< 5.42),
        libkf5bookmarks5 (<< 5.54),
        libkf5declarative5 (<< 5.54),
        libkf5kcmutils5 (<< 5.54),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.54),
        libkf5khtml5 (<< 5.54),
        libkf5kiofilewidgets5 (<< 5.54),
        libkf5kiowidgets5 (<< 5.54),
        libkf5krossui5 (<< 5.54),
        libkf5newstuff5 (<< 5.54),
        libkf5parts5 (<< 5.54),
        libkf5plasma5 (<< 5.54),
        libkf5plasmaquick5 (<< 5.54),
        libkf5style5 (<< 5.54),
        libkf5texteditor5 (<< 5.54),
        libkf5textwidgets5 (<< 5.54),
        libkf5wallet-bin (<< 5.54),
        libkf5xmlgui5 (<< 5.54),
        plasma-framework (<< 5.54),
        qml-module-org-kde-kquickcontrolsaddons (<< 5.54),
        qml-module-org-kde-qqc2desktopstyle (<< 5.54),
Recommends: libkf5iconthemes-bin (= ${binary:Version})
Description: Support for icon themes.
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.

## kiconthemes 5.56.0

=== debian/changelog ===
kiconthemes (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:36:01 +0000

kiconthemes (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:31:17 +0000

kiconthemes (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:35:02 +0000

kiconthemes (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:48:44 +0000

kiconthemes (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * Drop upstream_fix-crash-while-changing-icon.patch
    Included upstream.
  * Install kiconthemes.categories file.

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:42:14 +0000

kiconthemes (5.51.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release (5.51.0)
  * debian/patches: upstream_fix-crash-while-changing-icon.patch
    Requested upstream fix for KDE Bug: 398766

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Oct 2018 08:08:35 +0000

=== debian/control ===
Source: kiconthemes
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.56.0~),
               graphviz,
               libkf5archive-dev (>= 5.56.0~),
               libkf5configwidgets-dev (>= 5.56.0~),
               libkf5coreaddons-dev (>= 5.56.0~),
               libkf5i18n-dev (>= 5.56.0~),
               libkf5itemviews-dev (>= 5.56.0~),
               libkf5widgetsaddons-dev (>= 5.56.0~),
               libqt5sql5-sqlite,
               libqt5svg5-dev (>= 5.8.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kiconthemes
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kiconthemes
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kiconthemes

Package: libkf5iconthemes-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for icon themes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains runtime binaries.

Package: libkf5iconthemes-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for icon themes.
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the data files.

Package: libkf5iconthemes-dev
Architecture: any
Section: libdevel
Depends: libkf5configwidgets-dev (>= 5.55.0~),
         libkf5i18n-dev (>= 5.55.0~),
         libkf5iconthemes5 (= ${binary:Version}),
         libkf5itemviews-dev (>= 5.55.0~),
         libkf5widgetsaddons-dev (>= 5.55.0~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
Recommends: libkf5iconthemes-doc (= ${source:Version})
Description: development files for kiconthemes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 Contains development files for kiconthemes.

Package: libkf5iconthemes-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Support for icon themes (documentation)
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the qch documentation files.

Package: libkf5iconthemes5
Architecture: any
Multi-Arch: same
Depends: libkf5iconthemes-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5iconthemes-bin (= ${binary:Version})
Breaks: frameworkintegration (<< 5.28),
        kio (<< 5.42),
        libkf5kdelibs4support5-bin (<< 5.42),
Description: Support for icon themes.
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.

## kiconthemes 5.62.0

=== debian/changelog ===
kiconthemes (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:03 -0700

kiconthemes (5.61.0-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Build-Depend on qttools5-dev to fix a cross build failure
    (see #915122 for more info) (Closes: 929649).

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Add missing version to maintscript
  * Ignore reprotest build path variations
  * Release to experimental

  [ Jonathan Riddell ]
  * update .install

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:35 +0100

=== debian/control ===
Source: kiconthemes
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.62.0~),
               graphviz,
               libkf5archive-dev (>= 5.62.0~),
               libkf5configwidgets-dev (>= 5.62.0~),
               libkf5coreaddons-dev (>= 5.62.0~),
               libkf5i18n-dev (>= 5.62.0~),
               libkf5itemviews-dev (>= 5.62.0~),
               libkf5widgetsaddons-dev (>= 5.62.0~),
               libqt5sql5-sqlite,
               libqt5svg5-dev (>= 5.11.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.11.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kiconthemes
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kiconthemes
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kiconthemes.git

Package: libkf5iconthemes-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for icon themes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains runtime binaries.

Package: libkf5iconthemes-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for icon themes.
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the data files.

Package: libkf5iconthemes-dev
Section: libdevel
Architecture: any
Depends: libkf5configwidgets-dev (>= 5.62.0~),
         libkf5i18n-dev (>= 5.62.0~),
         libkf5iconthemes5 (= ${binary:Version}),
         libkf5itemviews-dev (>= 5.62.0~),
         libkf5widgetsaddons-dev (>= 5.62.0~),
         qtbase5-dev (>= 5.11.0~),
         ${misc:Depends},
Breaks: kross-dev (<< 5.54),
        libkf5bookmarks-dev (<< 5.54),
        libkf5kcmutils-dev (<< 5.54),
        libkf5kdelibs4support-dev (<< 5.54),
        libkf5khtml-dev (<< 5.54),
        libkf5style-dev (<< 5.54),
        libkf5textwidgets-dev (<< 5.54),
        libkf5xmlgui-dev (<< 5.54),
Recommends: libkf5iconthemes-doc (= ${source:Version})
Description: development files for kiconthemes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 Contains development files for kiconthemes.

Package: libkf5iconthemes-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Support for icon themes (documentation)
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5iconthemes5
Architecture: any
Multi-Arch: same
Depends: libkf5iconthemes-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: frameworkintegration (<< 5.28),
        kdesignerplugin (<< 5.54),
        kio (<< 5.42),
        libkf5bookmarks5 (<< 5.54),
        libkf5declarative5 (<< 5.54),
        libkf5kcmutils5 (<< 5.54),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.54),
        libkf5khtml5 (<< 5.54),
        libkf5kiofilewidgets5 (<< 5.54),
        libkf5kiowidgets5 (<< 5.54),
        libkf5krossui5 (<< 5.54),
        libkf5newstuff5 (<< 5.54),
        libkf5parts5 (<< 5.54),
        libkf5plasma5 (<< 5.54),
        libkf5plasmaquick5 (<< 5.54),
        libkf5style5 (<< 5.54),
        libkf5texteditor5 (<< 5.54),
        libkf5textwidgets5 (<< 5.54),
        libkf5wallet-bin (<< 5.54),
        libkf5xmlgui5 (<< 5.54),
        plasma-framework (<< 5.54),
        qml-module-org-kde-kquickcontrolsaddons (<< 5.54),
        qml-module-org-kde-qqc2desktopstyle (<< 5.54),
Recommends: libkf5iconthemes-bin (= ${binary:Version})
Description: Support for icon themes.
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.

## kiconthemes 5.68.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -14,11 +14,24 @@
 qt5_add_resources(kiconthemes_SRCS
   hicolor.qrc
 )
-ecm_qt_declare_logging_category(kiconthemes_SRCS HEADER debug.h IDENTIFIER  KICONTHEMES CATEGORY_NAME kf5.kiconthemes)
+ecm_qt_declare_logging_category(kiconthemes_SRCS
+    HEADER debug.h
+    IDENTIFIER KICONTHEMES
+    CATEGORY_NAME kf5.kiconthemes
+    DESCRIPTION "KIconThemes"
+    EXPORT KICONTHEMES
+)
 
 add_library(KF5IconThemes ${kiconthemes_SRCS})
-generate_export_header(KF5IconThemes BASE_NAME KIconThemes)
 add_library(KF5::IconThemes ALIAS KF5IconThemes)
+ecm_generate_export_header(KF5IconThemes
+    BASE_NAME KIconThemes
+    GROUP_BASE_NAME KF
+    VERSION ${KF5_VERSION}
+    DEPRECATED_BASE_VERSION 0
+    DEPRECATION_VERSIONS 4.8 5.0 5.63 5.64 5.65 5.66
+    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
+)
 
 target_include_directories(KF5IconThemes INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KIconThemes>")
 
@@ -26,7 +39,6 @@
   PUBLIC
     Qt5::Widgets
   PRIVATE
-    Qt5::DBus
     Qt5::Svg
     KF5::Archive       # for KCompressionDevice
     KF5::I18n          # for i18n in KIconDialog
@@ -35,6 +47,9 @@
     KF5::ConfigWidgets # for KColorScheme
     KF5::CoreAddons    # for kshareddatacache.h
 )
+if (TARGET Qt5::DBus)
+  target_link_libraries(KF5IconThemes PRIVATE Qt5::DBus)
+endif()
 
 set_target_properties(KF5IconThemes PROPERTIES VERSION   ${KICONTHEMES_VERSION_STRING}
                                                SOVERSION ${KICONTHEMES_SOVERSION}
@@ -61,6 +76,10 @@
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KIconThemes COMPONENT Devel
 )
 
+if(BUILD_DESIGNERPLUGIN)
+    add_subdirectory(designer)
+endif()
+
 if(BUILD_QCH)
     ecm_add_qch(
         KF5IconThemes_QCH
@@ -74,10 +93,13 @@
         IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
         LINK_QCHS
             Qt5Widgets_QCH
+        INCLUDE_DIRS
+            ${CMAKE_CURRENT_BINARY_DIR}
         BLANK_MACROS
             KICONTHEMES_EXPORT
             KICONTHEMES_DEPRECATED
             KICONTHEMES_DEPRECATED_EXPORT
+            "KICONTHEMES_DEPRECATED_VERSION(x, y, t)"
         TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
         QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
         COMPONENT Devel
@@ -97,3 +119,9 @@
 )
 
 install(TARGETS KIconEnginePlugin DESTINATION ${KDE_INSTALL_QTPLUGINDIR}/iconengines)
+
+ecm_qt_install_logging_categories(
+    EXPORT KICONTHEMES
+    FILE kiconthemes.categories
+    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
+)

=== debian/changelog ===
kiconthemes (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:57:37 +0000

kiconthemes (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:50:23 +0000

kiconthemes (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:19:15 +0000

kiconthemes (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:00:29 +0000

kiconthemes (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:24:35 +0000

kiconthemes (5.62.0-0ubuntu1) eoan; urgency=medium

  * Build depend on qttools5-dev for Qt5UiPlugin.
  * Install Qt designer plugin in -dev package.
  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:07:00 +0100

kiconthemes (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:42:30 +0100

kiconthemes (5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:16:12 +0100

kiconthemes (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:19:21 +0100

kiconthemes (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:40:21 +0100

kiconthemes (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:38:00 +0100

=== debian/control ===
Source: kiconthemes
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.68.0~),
               graphviz,
               libkf5archive-dev (>= 5.68.0~),
               libkf5configwidgets-dev (>= 5.68.0~),
               libkf5coreaddons-dev (>= 5.68.0~),
               libkf5i18n-dev (>= 5.68.0~),
               libkf5itemviews-dev (>= 5.68.0~),
               libkf5widgetsaddons-dev (>= 5.68.0~),
               libqt5sql5-sqlite,
               libqt5svg5-dev (>= 5.8.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kiconthemes
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kiconthemes
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kiconthemes

Package: libkf5iconthemes-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for icon themes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains runtime binaries.

Package: libkf5iconthemes-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for icon themes.
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the data files.

Package: libkf5iconthemes-dev
Architecture: any
Section: libdevel
Depends: libkf5configwidgets-dev (>= 5.68.0~),
         libkf5i18n-dev (>= 5.68.0~),
         libkf5iconthemes5 (= ${binary:Version}),
         libkf5itemviews-dev (>= 5.68.0~),
         libkf5widgetsaddons-dev (>= 5.68.0~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5iconthemes-doc (= ${source:Version})
Description: development files for kiconthemes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 Contains development files for kiconthemes.

Package: libkf5iconthemes-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Support for icon themes (documentation)
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the qch documentation files.

Package: libkf5iconthemes5
Architecture: any
Multi-Arch: same
Depends: libkf5iconthemes-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5iconthemes-bin (= ${binary:Version})
Breaks: frameworkintegration (<< 5.28),
        kio (<< 5.42),
        libkf5kdelibs4support5-bin (<< 5.42),
Description: Support for icon themes.
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5iconthemes5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test on build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8), openbox,
         oxygen-icon-theme
Restrictions: build-needed, allow-stderr

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## kiconthemes 5.74.0

=== debian/changelog ===
kiconthemes (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:59:17 +0100

kiconthemes (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:58:11 +0100

kiconthemes (5.72.0-0ubuntu2) groovy; urgency=medium

  * Disable build-needed testsuite.

 -- Rik Mills <rikmills@kde.org>  Mon, 03 Aug 2020 15:09:04 +0100

kiconthemes (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:32:50 +0100

kiconthemes (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:06:28 +0100

kiconthemes (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.

 -- Rik Mills <rikmills@kde.org>  Sun, 07 Jun 2020 17:01:07 +0100

kiconthemes (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.21.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Ship designer plugin in libkf5iconthemes-dev.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:57:22 +0200

kiconthemes (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:32:05 +0100

kiconthemes (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Add Build-Depends-Package to symbols file.
  * Enable hardening all.
  * Cleanup copyright file.
  * Cleanup Build-Depends.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:55:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,27 +3,28 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 11~),
+Build-Depends: cmake (>= 3.5~),
+               debhelper-compat (= 12),
                doxygen,
-               extra-cmake-modules (>= 5.68.0~),
+               extra-cmake-modules (>= 5.74.0~),
                graphviz,
-               libkf5archive-dev (>= 5.68.0~),
-               libkf5configwidgets-dev (>= 5.68.0~),
-               libkf5coreaddons-dev (>= 5.68.0~),
-               libkf5i18n-dev (>= 5.68.0~),
-               libkf5itemviews-dev (>= 5.68.0~),
-               libkf5widgetsaddons-dev (>= 5.68.0~),
+               libkf5archive-dev (>= 5.74.0~),
+               libkf5configwidgets-dev (>= 5.74.0~),
+               libkf5coreaddons-dev (>= 5.74.0~),
+               libkf5i18n-dev (>= 5.74.0~),
+               libkf5itemviews-dev (>= 5.74.0~),
+               libkf5widgetsaddons-dev (>= 5.74.0~),
                libqt5sql5-sqlite,
-               libqt5svg5-dev (>= 5.8.0~),
+               libqt5svg5-dev (>= 5.12.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.8.0~),
+               qtbase5-dev (>= 5.12.0~),
                qttools5-dev,
-               qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.1.4
+               qttools5-dev-tools,
+Standards-Version: 4.5.0
 Homepage: https://projects.kde.org/projects/frameworks/kiconthemes
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kiconthemes
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kiconthemes
+Rules-Requires-Root: no
 
 Package: libkf5iconthemes-bin
 Architecture: any
@@ -47,14 +48,13 @@
 Package: libkf5iconthemes-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5configwidgets-dev (>= 5.68.0~),
-         libkf5i18n-dev (>= 5.68.0~),
+Depends: libkf5configwidgets-dev (>= 5.74.0~),
+         libkf5i18n-dev (>= 5.74.0~),
          libkf5iconthemes5 (= ${binary:Version}),
-         libkf5itemviews-dev (>= 5.68.0~),
-         libkf5widgetsaddons-dev (>= 5.68.0~),
-         qtbase5-dev (>= 5.6.1~),
+         libkf5itemviews-dev (>= 5.74.0~),
+         libkf5widgetsaddons-dev (>= 5.74.0~),
+         qtbase5-dev (>= 5.12.0~),
          ${misc:Depends},
-         ${shlibs:Depends},
 Recommends: libkf5iconthemes-doc (= ${source:Version})
 Description: development files for kiconthemes
  Library to use/access icon themes in Qt. These classes
@@ -78,11 +78,11 @@
 Multi-Arch: same
 Depends: libkf5iconthemes-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
-Recommends: libkf5iconthemes-bin (= ${binary:Version})
+         ${shlibs:Depends}
 Breaks: frameworkintegration (<< 5.28),
         kio (<< 5.42),
         libkf5kdelibs4support5-bin (<< 5.42),
+Recommends: libkf5iconthemes-bin (= ${binary:Version})
 Description: Support for icon themes.
  Library to use/access icon themes in Qt. These classes
  are used by the iconloader but can be used by others too.
